# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'falcore/version'

Gem::Specification.new do |spec|
  spec.name          = 'falcore'
  spec.version       = Falcore::VERSION
  spec.authors       = ['Seth Vargo']
  spec.email         = ['sethvargo@gmail.com']
  spec.summary       = 'A Ruby application for collecting Jenkins node slave ' \
                       'status and aggregating to multiple output formats.'
  spec.description   = 'Falcore is a Ruby library and CLI for collecting ' \
                       'Jenkins slave information from a Jenkins master and ' \
                       'aggregating to multiple output formats and checks ' \
                       'as StatsD or Nagios.'
  spec.homepage      = 'https://github.com/opscode/falcore'
  spec.license       = 'Apache 2.0'

  spec.required_ruby_version = '>= 2.0'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'dogstatsd-ruby', '~> 1.3'

  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rspec',   '~> 2.14'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'sinatra', '~> 1.4'
  spec.add_development_dependency 'webmock', '~> 1.17'
end
