require 'spec_helper'

module Falcore
  describe Dumper::DogStatsd, :integration do
    let(:config) do
      Config.parse <<-EOH.gsub(/^ {8}/, '')
        [jenkins]
          endpoint = http://master.jenkins.example.com

        [dogstatsd]
          host = 127.0.0.1
          port = 12345
      EOH
    end

    let(:aggregator) { Aggregator.new(config) }
    let(:master) { aggregator.run }

    subject { Dumper::DogStatsd.new(config, master) }

    it 'validates config.dogstatsd.host is present' do
      config.dogstatsd.host = nil

      expect {
        subject.run
      }.to raise_error(RuntimeError, "Expected 'DogStatsd host' to be set!")
    end

    it 'validates config.dogstatsd.port is present' do
      config.dogstatsd.port = nil

      expect {
        subject.run
      }.to raise_error(RuntimeError, "Expected 'DogStatsd port' to be set!")
    end
  end
end
