require 'spec_helper'

module Falcore
  describe Node::Master do
    subject { Node::Master.new('displayName' => 'master') }

    let(:slaves) { subject.instance_variable_get(:@slaves) }

    describe '#initialize' do
      it 'creates an empty hash of slaves' do
        expect(slaves).to be_a(Hash)
        expect(slaves).to be_empty
      end
    end

    describe '#add_slave' do
      it 'raises an exception when the object is not a slave' do
        expect {
          subject.add_slave('bacon')
        }.to raise_error(ArgumentError)
      end

      it 'adds the slave to the hash' do
        slave = Node::Slave.new(subject, 'displayName' => 'slave')

        expect(slaves).to_not be_empty
        expect(subject.slaves).to include(slave)
      end
    end

    describe '#slaves' do
      it 'returns an array' do
        expect(subject.slaves).to be_an(Array)
      end
    end
  end
end
