require 'spec_helper'

module Falcore
  describe Node::Slave do
    let(:master) { Node::Master.new('displayName' => 'master') }
    subject { Node::Slave.new(master, 'displayName' => 'slave') }

    describe '#initialize' do
      it 'requires a master as the first parameter' do
        expect {
          Node::Slave.new(foo: 'bar')
        }.to raise_error(ArgumentError)
      end

      it 'saves the master to an instance variable' do
        expect(subject.master).to be(master)
      end

      it 'adds the itself to the master slave collection' do
        subject
        expect(master.slaves).to include(subject)
      end
    end
  end
end
