module Falcore
  describe Util do
    describe '#deep_fetch' do
      context 'when the hash key exists' do
        it 'returns the value' do
          hash = { 'key' => 'value' }
          expect(Util.deep_fetch(hash, 'key')).to eq('value')
        end

        it 'returns the value for a deeply nested key' do
          hash = { 'key' => { 'deep' => 'value' } }
          expect(Util.deep_fetch(hash, 'key', 'deep')).to eq('value')
        end
      end

      context 'when the hash key does not exist' do
        it 'returns nil' do
          hash = {}
          expect(Util.deep_fetch(hash, 'hamlet')).to be_nil
        end

        it 'returns nil for a deeply nested key' do
          hash = {}
          expect(Util.deep_fetch(hash, 'hamlet', 'bacon')).to be_nil
        end
      end
    end
  end
end
